## ros-noetic-rtabmap-rviz-plugins 0.21.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rtabmap_rviz_plugins)

# For rviz plugins, look for Qt5 before Qt4
FIND_PACKAGE(Qt5 COMPONENTS Widgets Core Gui QUIET)
IF(NOT Qt5_FOUND)
    FIND_PACKAGE(Qt4 COMPONENTS QtCore QtGui REQUIRED)
    INCLUDE(${QT_USE_FILE})
ENDIF(NOT Qt5_FOUND)


find_package(catkin REQUIRED COMPONENTS
             roscpp sensor_msgs std_msgs pcl_conversions pluginlib rviz tf rtabmap_conversions rtabmap_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES rtabmap_rviz_plugins
  CATKIN_DEPENDS roscpp sensor_msgs std_msgs pcl_conversions pluginlib rviz tf rtabmap_conversions rtabmap_msgs
)

###########
## Build ##
###########

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${catkin_INCLUDE_DIRS}
)

## We also use Ogre for rviz plugins
# this file doesn't exist post-noetic, but pkg_check_modules still works
find_package(PkgConfig REQUIRED)
pkg_check_modules(OGRE OGRE)
include_directories( ${OGRE_INCLUDE_DIRS} )
link_directories( ${OGRE_LIBRARY_DIRS} )

SET(Libraries
  ${catkin_LIBRARIES}
  ${rviz_DEFAULT_PLUGIN_LIBRARIES}
)

## RVIZ plugin
IF(QT4_FOUND)
  IF(WIN32)
    qt4_wrap_cpp(MOC_FILES
      include/${PROJECT_NAME}/MapCloudDisplay.h
      include/${PROJECT_NAME}/MapGraphDisplay.h
      include/${PROJECT_NAME}/InfoDisplay.h
    )
  ELSE()
    qt4_wrap_cpp(MOC_FILES
      include/${PROJECT_NAME}/MapCloudDisplay.h
      include/${PROJECT_NAME}/MapGraphDisplay.h
      include/${PROJECT_NAME}/InfoDisplay.h
      include/${PROJECT_NAME}/OrbitOrientedViewController.h
    )
  ENDIF()
ELSE()
  IF(WIN32)
    qt5_wrap_cpp(MOC_FILES
      include/${PROJECT_NAME}/MapCloudDisplay.h
      include/${PROJECT_NAME}/MapGraphDisplay.h
      include/${PROJECT_NAME}/InfoDisplay.h
    )
  ELSE()
    qt5_wrap_cpp(MOC_FILES
      include/${PROJECT_NAME}/MapCloudDisplay.h
      include/${PROJECT_NAME}/MapGraphDisplay.h
      include/${PROJECT_NAME}/InfoDisplay.h
      include/${PROJECT_NAME}/OrbitOrientedViewController.h
    )
  ENDIF()
ENDIF()

# tf:message_filters, mixing boost and Qt signals
IF(WIN32)
  set_property(
    SOURCE src/MapCloudDisplay.cpp src/MapGraphDisplay.cpp src/InfoDisplay.cpp
    PROPERTY COMPILE_DEFINITIONS QT_NO_KEYWORDS
  )
ELSE()
  set_property(
    SOURCE src/MapCloudDisplay.cpp src/MapGraphDisplay.cpp src/InfoDisplay.cpp src/OrbitOrientedViewController.cpp
    PROPERTY COMPILE_DEFINITIONS QT_NO_KEYWORDS
  )
ENDIF()
SET(SRC_FILES 
   src/MapCloudDisplay.cpp
   src/MapGraphDisplay.cpp
   src/InfoDisplay.cpp
   ${MOC_FILES}
)
IF(NOT WIN32)
  SET(SRC_FILES 
    ${SRC_FILES} 
    src/OrbitOrientedViewController.cpp
  )
ENDIF(NOT WIN32)
add_library(rtabmap_rviz_plugins
   ${SRC_FILES}
)
target_link_libraries(rtabmap_rviz_plugins
  ${Libraries}
)
IF(Qt5_FOUND)
    QT5_USE_MODULES(rtabmap_rviz_plugins Widgets Core Gui)
ENDIF(Qt5_FOUND)

#############
## Install ##
#############

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

install(TARGETS 
   rtabmap_rviz_plugins
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )
install(FILES
   rviz_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rtabmap-rviz-plugins (0.21.1-4focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Sat, 15 Apr 2023 17:57:56 -0000

=== debian/control ===
Source: ros-noetic-rtabmap-rviz-plugins
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-pcl-conversions, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rtabmap-conversions, ros-noetic-rtabmap-msgs, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rtabmap-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-pcl-conversions, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rtabmap-conversions, ros-noetic-rtabmap-msgs, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf
Description: RTAB-Map's rviz plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rtabmap-rviz-plugins//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
